const express = require('express');
const router = express.Router();
const rtsStpsTrpsCnt = require('../service/rts-stps-trps-cnt');
const utils=require('../utils');

router.get('/', async function(req, res, next) {
    try {
	res.json(await rtsStpsTrpsCnt.get());
    } catch (err) {
	console.error(`Error while getting number of routes, stops and trips, msg: `, err.message);
	res.status(err.statusCode || 500).json(utils.MSGS.error);
    }
});

module.exports = router;
