const db = require('./db');

require('dotenv').config();

async function get() {

    const schema = process.env.DB_SCHEMA || 'schema';

    const query = 'SELECT * FROM ' + schema + '.tbl_rts_stps_trps_cnt;';

    return await db.query( query );
};
      
module.exports = {
  get
};
